package com.mdd.admin.vo.system;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;

@ApiModel("系统角色Vo")
public class SystemAuthRoleVo implements Serializable {
   private static final long serialVersionUID = 1L;
   @ApiModelProperty("主键")
   private Integer id;
   @ApiModelProperty("角色名称")
   private String name;
   @ApiModelProperty("角色备注")
   private String remark;
   @ApiModelProperty("关联菜单")
   private Object menus;
   @ApiModelProperty("成员数量")
   private Integer member;
   @ApiModelProperty("角色排序")
   private Integer sort;
   @ApiModelProperty("是否禁用: [0=否, 1=是]")
   private Integer isDisable;
   @ApiModelProperty("创建时间")
   private String createTime;
   @ApiModelProperty("更新时间")
   private String updateTime;

   public Integer getId() {
      return this.id;
   }

   public String getName() {
      return this.name;
   }

   public String getRemark() {
      return this.remark;
   }

   public Object getMenus() {
      return this.menus;
   }

   public Integer getMember() {
      return this.member;
   }

   public Integer getSort() {
      return this.sort;
   }

   public Integer getIsDisable() {
      return this.isDisable;
   }

   public String getCreateTime() {
      return this.createTime;
   }

   public String getUpdateTime() {
      return this.updateTime;
   }

   public void setId(Integer id) {
      this.id = id;
   }

   public void setName(String name) {
      this.name = name;
   }

   public void setRemark(String remark) {
      this.remark = remark;
   }

   public void setMenus(Object menus) {
      this.menus = menus;
   }

   public void setMember(Integer member) {
      this.member = member;
   }

   public void setSort(Integer sort) {
      this.sort = sort;
   }

   public void setIsDisable(Integer isDisable) {
      this.isDisable = isDisable;
   }

   public void setCreateTime(String createTime) {
      this.createTime = createTime;
   }

   public void setUpdateTime(String updateTime) {
      this.updateTime = updateTime;
   }

   public boolean equals(Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof SystemAuthRoleVo)) {
         return false;
      } else {
         SystemAuthRoleVo other = (SystemAuthRoleVo)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            label119: {
               Object this$id = this.getId();
               Object other$id = other.getId();
               if (this$id == null) {
                  if (other$id == null) {
                     break label119;
                  }
               } else if (this$id.equals(other$id)) {
                  break label119;
               }

               return false;
            }

            Object this$member = this.getMember();
            Object other$member = other.getMember();
            if (this$member == null) {
               if (other$member != null) {
                  return false;
               }
            } else if (!this$member.equals(other$member)) {
               return false;
            }

            label105: {
               Object this$sort = this.getSort();
               Object other$sort = other.getSort();
               if (this$sort == null) {
                  if (other$sort == null) {
                     break label105;
                  }
               } else if (this$sort.equals(other$sort)) {
                  break label105;
               }

               return false;
            }

            Object this$isDisable = this.getIsDisable();
            Object other$isDisable = other.getIsDisable();
            if (this$isDisable == null) {
               if (other$isDisable != null) {
                  return false;
               }
            } else if (!this$isDisable.equals(other$isDisable)) {
               return false;
            }

            label91: {
               Object this$name = this.getName();
               Object other$name = other.getName();
               if (this$name == null) {
                  if (other$name == null) {
                     break label91;
                  }
               } else if (this$name.equals(other$name)) {
                  break label91;
               }

               return false;
            }

            Object this$remark = this.getRemark();
            Object other$remark = other.getRemark();
            if (this$remark == null) {
               if (other$remark != null) {
                  return false;
               }
            } else if (!this$remark.equals(other$remark)) {
               return false;
            }

            label77: {
               Object this$menus = this.getMenus();
               Object other$menus = other.getMenus();
               if (this$menus == null) {
                  if (other$menus == null) {
                     break label77;
                  }
               } else if (this$menus.equals(other$menus)) {
                  break label77;
               }

               return false;
            }

            label70: {
               Object this$createTime = this.getCreateTime();
               Object other$createTime = other.getCreateTime();
               if (this$createTime == null) {
                  if (other$createTime == null) {
                     break label70;
                  }
               } else if (this$createTime.equals(other$createTime)) {
                  break label70;
               }

               return false;
            }

            Object this$updateTime = this.getUpdateTime();
            Object other$updateTime = other.getUpdateTime();
            if (this$updateTime == null) {
               if (other$updateTime != null) {
                  return false;
               }
            } else if (!this$updateTime.equals(other$updateTime)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof SystemAuthRoleVo;
   }

   public int hashCode() {
      int PRIME = true;
      int result = 1;
      Object $id = this.getId();
      result = result * 59 + ($id == null ? 43 : $id.hashCode());
      Object $member = this.getMember();
      result = result * 59 + ($member == null ? 43 : $member.hashCode());
      Object $sort = this.getSort();
      result = result * 59 + ($sort == null ? 43 : $sort.hashCode());
      Object $isDisable = this.getIsDisable();
      result = result * 59 + ($isDisable == null ? 43 : $isDisable.hashCode());
      Object $name = this.getName();
      result = result * 59 + ($name == null ? 43 : $name.hashCode());
      Object $remark = this.getRemark();
      result = result * 59 + ($remark == null ? 43 : $remark.hashCode());
      Object $menus = this.getMenus();
      result = result * 59 + ($menus == null ? 43 : $menus.hashCode());
      Object $createTime = this.getCreateTime();
      result = result * 59 + ($createTime == null ? 43 : $createTime.hashCode());
      Object $updateTime = this.getUpdateTime();
      result = result * 59 + ($updateTime == null ? 43 : $updateTime.hashCode());
      return result;
   }

   public String toString() {
      return "SystemAuthRoleVo(id=" + this.getId() + ", name=" + this.getName() + ", remark=" + this.getRemark() + ", menus=" + this.getMenus() + ", member=" + this.getMember() + ", sort=" + this.getSort() + ", isDisable=" + this.getIsDisable() + ", createTime=" + this.getCreateTime() + ", updateTime=" + this.getUpdateTime() + ")";
   }
}
